Package org.eclipse.jdt.ui.text

# Interface IColorManagerExtension

public interface IColorManagerExtension
Extends `IColorManager` with the ability to bind and un-bind colors.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`bindColor(String key, org.eclipse.swt.graphics.RGB rgb)`
Remembers the given color specification under the given key.
`void`
`unbindColor(String key)`
Forgets the color specification remembered under the given key.

## Method Details

### bindColor

void bindColor(String key, org.eclipse.swt.graphics.RGB rgb)
Remembers the given color specification under the given key.

Parameters:
  `key` - the color key
  `rgb` - the color specification
Throws:
  `UnsupportedOperationException` - if there is already a color specification remembered under the given key

### unbindColor

void unbindColor(String key)
Forgets the color specification remembered under the given key.

Parameters:
  `key` - the color key